# fn() njTree
computes a guid etree from a distance matrix.

Defined in | <seqan/graph_msa.h>
Signature | `void njTree(mat, tree);`

## Parameters

`mat` | A String of pairwise distance values, representing a square matrix.
`tree` | The guide tree.

## Data Races

Thread safety unknown!

#### Dox Sources

    /*!
     * @fn njTree
     *
     * @headerfile <seqan/graph_msa.h>
     *
     * @brief computes a guid etree from a distance matrix.
     *
     * @signature void njTree(mat, tree);
     *
     * @param[in] mat A @link String @endlink of pairwise distance values,
     *                representing a square matrix.
     * @param[out] tree The guide tree.
     */